/* 
* Amazium V3.3.0
* Copyright 2013, Mike Ballan
* www.amazium.co.uk
*/

/***** Screen 1200px+ *****/
.row                                            { margin:0 auto; width:1200px; display:table; }
.row .row                                       { margin:0 0px; width:auto; display:inline-block; }

.grid_1                                         { width:100px; margin: 0px; float:left; display:inline; }
.grid_2                                         { width:200px; margin: 0px; float:left; display:inline; }
.grid_3                                         { width:300px; margin: 0px; float:left; display:inline; }
.grid_4                                         { width:400px; margin: 0px; float:left; display:inline; }
.grid_5                                         { width:500px; margin: 0px; float:left; display:inline; }
.grid_6                                         { width:600px; margin: 0px; float:left; display:inline; }
.grid_7                                         { width:700px; margin: 0px; float:left; display:inline; }
.grid_8                                         { width:800px; margin: 0px; float:left; display:inline; }
.grid_9                                         { width:900px; margin: 0px; float:left; display:inline; }
.grid_10                                        { width:1000px; margin: 0px; float:left; display:inline; }
.grid_11                                        { width:1100px; margin: 0px; float:left; display:inline; }
.grid_12                                        { width:1200px; margin: 0px; float:left; display:inline; }

.show-mobile                                    { display:none !important; }
.show-tablet                                    { display:none !important; }
.show-screen                                    { display:inherit; }

.hide-mobile                                    { display:inherit !important; }
.hide-tablet                                    { display:inherit !important; }
.hide-screen                                    { display:none !important; }

/***** Screen Smaller than 1200px *****/
@media only screen and (min-width: 960px) and (max-width: 1199px) {

.row                                            { width:960px; }
.row .row                                       { margin:0px; }

.grid_1                                         { width:80px; margin: 0px; }
.grid_2                                         { width:160px; margin: 0px; }
.grid_3                                         { width:240px; margin: 0px; }
.grid_4                                         { width:320px; margin: 0px; }
.grid_5                                         { width:400px; margin: 0px; }     
.grid_6                                         { width:480px; margin: 0px; }
.grid_7                                         { width:540px; margin: 0px; }
.grid_8                                         { width:640px; margin: 0px; }
.grid_9                                         { width:720px; margin: 0px; }
.grid_10                                        { width:800px; margin: 0px; }
.grid_11                                        { width:880px; margin: 0px; }
.grid_12                                        { width:960px; margin: 0px; }

.show-mobile                                    { display:none !important; }
.show-tablet                                    { display:none !important; }
.show-screen                                    { display:inherit !important; }
    
.hide-mobile                                    { display:inherit !important; }
.hide-tablet                                    { display:inherit !important; }
.hide-screen                                    { display:none !important; }

}

/***** Tablet (Smaller than 959px) *****/
@media only screen and (min-width: 768px) and (max-width: 959px) {

.row                                            { width:768px; }
.row .row                                       { margin:0px; }
        
.grid_1                                         { width:64px; margin: 0px; }
.grid_2                                         { width:128px; margin: 0px; }
.grid_3                                         { width:192px; margin: 0px; }
.grid_4                                         { width:256px; margin: 0px; }
.grid_5                                         { width:320px; margin: 0px; }
.grid_6                                         { width:384px; margin: 0px; }
.grid_7                                         { width:448px; margin: 0px; }
.grid_8                                         { width:512px; margin: 0px; }
.grid_9                                         { width:576px; margin: 0px; }
.grid_10                                        { width:640px; margin: 0px; }
.grid_11                                        { width:704px; margin: 0px; }
.grid_12                                        { width:768px; margin: 0px; }

.show-mobile                                    { display:none !important; }
.show-tablet                                    { display:inherit !important; }
.show-screen                                    { display:none !important; }
    
.hide-mobile                                    { display:inherit !important; }
.hide-tablet                                    { display:none !important; }
.hide-screen                                    { display:inherit !important; }

}

/***** Mobile *****/
/***** Updated based on essencious Mobile version *****/
@media only screen and (max-width: 767px) {

.row                                            { padding: 0px; width:100%; display:block; box-sizing:border-box; -webkit-box-sizing:border-box; -moz-box-sizing:border-box; }
.row .row                                       { margin:0; padding:0; width:100%; display:block; }

.grid_1, .grid_2, .grid_3, .grid_4,
.grid_5, .grid_6, .grid_7, .grid_8,
.grid_9, .grid_10, .grid_11, .grid_12           { width:100%; margin:0px 0 0 0; float:none; display:block; }


.grid_6_mobile                                  { width:48%; }
.grid_6_mobile:nth-child(odd)                   { width:48%; float:left; }
.grid_6_mobile:nth-child(even)                  { float:right; }

.show-mobile                                    { display:inline !important; }
.show-tablet                                    { display:none !important; }
.show-screen                                    { display:none !important; }
    
.hide-mobile                                    { display:none !important; }
.hide-tablet                                    { display:inherit !important; }
.hide-screen                                    { display:inherit !important; }

}


/***** Clean up *****/

.container:after                                { content: "\0020"; display: block; height: 0; clear: both; visibility: hidden; } 
.clearfix:before,
.clearfix:after,
.row:before,
.row:after                                      { content:'\0020'; display:block; overflow:hidden; visibility:hidden; width:0; height:0; }
.row:after, .clearfix:after                     { clear:both; }
.row, 
.clearfix                                       { zoom:1; }
.clear                                          { clear:both; display:block; overflow:hidden; visibility:hidden; width:0; height:0; }

